%global configureflags --disable-rpath --disable-static --with-ui --with-readline
%global profilegenerate \
    CFLAGS="${RPM_OPT_FLAGS} -fprofile-generate"\
    CXXFLAGS="${RPM_OPT_FLAGS} -fprofile-generate"
%global profileuse \
    CFLAGS="${RPM_OPT_FLAGS} -fprofile-use"\
    CXXFLAGS="${RPM_OPT_FLAGS} -fprofile-use"

Summary:		A spell free spell checker and morphological analyzer library and command-line tool
Name:			hunspell
Version:		1.7.2
Release:		4%{?dist}
License:		LGPLv2+ or GPLv2+ or MPLv1.1
URL:			https://github.com/hunspell/hunspell
Source:			https://github.com/hunspell/hunspell/releases/download/v%{version}/hunspell-%{version}.tar.gz
BuildRequires:	make gcc-c++ autoconf automake libtool
BuildRequires:	ncurses-devel gettext-devel perl-generators
BuildRequires:	words
%ifarch x86_64
BuildRequires:	valgrind
%endif
Requires:		hunspell-en-US
provides:		hunspell-filesystem = %{version}-%{release}

%description
Hunspell is a free spell checker and morphological analyzer library and command-line tool.
It is designed for quick and high quality spell checking and correcting for languages with 
word-level writing system, including languages with rich morphology, complex word compounding 
and character encoding.

%package devel
Summary:		Files for developing with hunspell
Requires:		pkgconfig
Requires:		hunspell = %{version}-%{release}

%description devel
Includes and definitions for developing with hunspell

%prep
%autosetup

%build
autoreconf -vfi

head -n $((`cat /usr/share/dict/words | wc -l`/2)) /usr/share/dict/words |\
    sed '/\//d'> words

%{profilegenerate} %configure %{configureflags}
%make_build
./src/tools/affixcompress words > /dev/null 2>&1
./src/tools/hunspell -d words -l /usr/share/dict/words > /dev/null
make check
make distclean

%{profileuse} %configure %{configureflags}
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
mkdir $RPM_BUILD_ROOT/%{_datadir}/hunspell
mkdir $RPM_BUILD_ROOT/%{_datadir}/myspell
%find_lang %{name}

%check
%ifarch x86_64
VALGRIND=memcheck make check
make check
%endif

%files -f %{name}.lang
%license COPYING COPYING.LESSER COPYING.MPL
%license license.hunspell license.myspell
%doc README AUTHORS THANKS
%{_datadir}/hunspell
%{_datadir}/myspell
%{_libdir}/*.so.*
%{_bindir}/hunspell
%{_mandir}/man1/hunspell.1.gz
%lang(hu) %{_mandir}/hu/man1/hunspell.1.gz

%files devel
%{_includedir}/%{name}
%{_libdir}/*.so
%{_bindir}/affixcompress
%{_bindir}/makealias
%{_bindir}/munch
%{_bindir}/unmunch
%{_bindir}/analyze
%{_bindir}/chmorph
%{_bindir}/hzip
%{_bindir}/hunzip
%{_bindir}/ispellaff2myspell
%{_bindir}/wordlist2hunspell
%{_bindir}/wordforms
%{_libdir}/pkgconfig/hunspell.pc
%{_mandir}/man1/hunzip.1.gz
%{_mandir}/man1/hzip.1.gz
%{_mandir}/man3/hunspell.3.gz
%{_mandir}/man5/hunspell.5.gz

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Miaojun Dong <zoedong@tencent.com> - 1.7.2-1
- Bump version to 1.7.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Oct 10 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.7.1-1
- Initial build
